define([
  "dojo/_base/declare",
  "helpers/NodeCache"
], function (declare, NodeCache) {

  return declare(null, {

    constructor: function () {

    },

    init(target, bb) {
      // no-op
    },

    settingBoundingBox: function (target, bb) {
      bb.clear();
      NodeCache.clearAll();
      target.changeState("BoundingBoxDefining");
    },

    makingRequest: function (target) {
      // no-op
    },

    toggleFreezingScene: function (target) {
      target.changeState("BoundingBoxDefined");
    }

  });

});